## org.w3c.jigsaw.ccpp
Class CCPPWarning

    java.lang.Object
      |
      +--org.w3c.jigsaw.ccpp.CCPPWarning

public class CCPPWarning
extends java.lang.Object

Field Summary
`static java.lang.String` `CCPPWARNING_STATE`

Constructor Summary
`CCPPWarning()`

Method Summary
`void` `addWarning(int warning, java.lang.String reference)`
`protected java.lang.String` `computeWarning(int warning, java.lang.String reference)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CCPPWARNING_STATE

    public static final java.lang.String CCPPWARNING_STATE

Constructor Detail

### CCPPWarning

    public CCPPWarning()

Method Detail

### computeWarning

    protected java.lang.String computeWarning(int warning,
                                              java.lang.String reference)

### addWarning

    public void addWarning(int warning,
                           java.lang.String reference)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object